Bug 110453 - [PATCH] polish/ekg: unbreak with libexecinfo, remove hidden dependencies
Summary: [PATCH] polish/ekg: unbreak with libexecinfo, remove hidden dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-03-17 19:00 UTC by mwisnicki+freebsd
Modified: 2007-04-16 20:30 UTC (History)
1 user (show)

See Also:


Attachments
pl-ekg-1.7.r3_1,2.patch (1.53 KB, patch)
2007-03-17 19:00 UTC, mwisnicki+freebsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mwisnicki+freebsd 2007-03-17 19:00:11 UTC
When devel/libexecinfo is installed, ekg's configure picks it up but it doesn't
link with libexecinfo since the functionality is in libc on linux and that
breaks the build. Attached patch adds unconditional dependency on libexecinfo
since it's easier that way and libexecinfo is only 10kb large.

Also I've noticed that ekg will use libungif and libjpeg if installed.
I have explicitly disabled them, as well as support for openssl, since it is
disabled in libgadu.

Port maintainer (alex@bsdguru.org) is cc'd.

Generated with FreeBSD Port Tools 0.77

How-To-Repeat: 
cd /usr/ports/polish/ekg; make
:
checking execinfo.h usability... yes
checking execinfo.h presence... yes
checking for execinfo.h... yes
:
cc  -I.. -I../lib -O2 -fno-strict-aliasing -pipe -march=athlon-xp -I/usr/local/include -Wall   -DDATADIR=\"/usr/local/share/ekg\" -DSYSCONFDIR=\"/usr/local/etc\" -o ekg stuff.o commands.o events.o themes.o vars.o dynstuff.o userlist.o ekg.o xmalloc.o mail.o msgqueue.o emoticons.o configfile.o  simlite.o ui-ncurses.o ui-batch.o ui-none.o log.o -L../lib -lgadu  -lz -ljpeg -lungif  -lssl -lcrypto  -L/usr/local/lib   -lncurses -laspell
ekg.o(.text+0x87c): In function `handle_sigsegv':
: undefined reference to `backtrace'
ekg.o(.text+0x88c): In function `handle_sigsegv':
: undefined reference to `backtrace_symbols_fd'
gmake[1]: *** [ekg] Error 1
gmake[1]: Leaving directory `/home/pub/ports-build/usr/ports/polish/ekg/work/ekg-1.7rc3/src'
gmake: *** [ekg] Error 2
*** Error code 2
Comment 1 Edwin Groothuis freebsd_committer 2007-03-17 19:00:20 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Rong-En Fan freebsd_committer 2007-03-18 05:48:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

Eat.
Comment 3 dfilter service freebsd_committer 2007-04-16 20:29:25 UTC
rafan       2007-04-16 19:29:17 UTC

  FreeBSD ports repository

  Modified files:
    polish/ekg           Makefile pkg-descr 
  Log:
  - When devel/libexecinfo presents, configure script detects but does not
    set LDFLAGS correctly. Therefore, unconditionally depends on libexecinfo
    and set correct LDFLAGS.
  - Disable libungif, libjpeg, and openssl support since they are disabled
    in libgadu
  
  PR:             ports/110453
  Submitted by:   mwisnicki at gmail.com
  Approved by:    maintainer timeout (1 month)
  
  Revision  Changes    Path
  1.25      +9 -3      ports/polish/ekg/Makefile
  1.2       +1 -1      ports/polish/ekg/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Rong-En Fan freebsd_committer 2007-04-16 20:29:27 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!